Subject: Re: [PATCH v2 1/1] replay: make atomic ref updates the default behavior

From: Phillip Wood <[email-masked]>
Date: Thu, 9 Oct 2025 10:40:23 +0100

On 08/10/2025 21:09, Siddharth Asthana wrote:
> On 08/10/25 19:31, Phillip Wood wrote:
>> Hi Siddharth
>> On 02/10/2025 23:20, Siddharth Asthana wrote:
>>> Would you still prefer a --update-refs=<mode> style, or is the simpler
>>> --output-commands flag sufficient given that --allow-partial is going 
>>> away?
>>
>> The advantage of --update-refs=<mode> is that it allows for future 
>> extensions such as adding support for partial in a way that does not 
>> add conflicting options.
> 
> That's a good point about extensibility. Elijah suggested --[no-]update- 
> refs
> which is simpler but less extensible.
> 
> Between:
> - --[no-]update-refs (simple, covers current needs)
> - --update-refs=<mode> (extensible for future modes)
> 
> I am inclined toward the simpler --[no-]update-refs for now since we don't
> have concrete plans for other modes. But if you think the extensibility is
> important, I can go with the =<mode> style. What do you think?

If we go with a boolean flag we can always add an optional argument in 
the future so I think that would be fine.

Thanks

Phillip